Package org.bukkit.inventory

# Interface ArmoredHorseInventory

All Superinterfaces:
  `AbstractHorseInventory`, `Inventory`, `Iterable<ItemStack>`

All Known Subinterfaces:
  `HorseInventory`

public interface ArmoredHorseInventory extends AbstractHorseInventory

## Method Summary

Modifier and Type
Method
Description
`@Nullable ItemStack`
`getArmor()`
Gets the item in the horse's armor slot.
`void`
`setArmor(@Nullable ItemStack stack)`
Sets the item in the horse's armor slot.

### Methods inherited from interface org.bukkit.inventory.AbstractHorseInventory

`getSaddle, setSaddle`

### Methods inherited from interface org.bukkit.inventory.Inventory

`addItem, all, all, clear, clear, close, contains, contains, contains, contains, containsAtLeast, first, first, firstEmpty, getContents, getHolder, getHolder, getItem, getLocation, getMaxStackSize, getSize, getStorageContents, getType, getViewers, isEmpty, iterator, iterator, remove, remove, removeItem, removeItemAnySlot, setContents, setItem, setMaxStackSize, setStorageContents`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### getArmor

@Nullable @Nullable ItemStack getArmor()
Gets the item in the horse's armor slot.

Returns:
  the armor item

### setArmor

void setArmor(@Nullable @Nullable ItemStack stack)
Sets the item in the horse's armor slot.

Parameters:
  `stack` - the new item